package emps.v2_obiektowo;

import java.util.List;
import java.util.Set;
import java.util.TreeSet;

// Wypisz bez powtórzeń nazwy miast pojawiające się w pliku

public class P5_MiastaBezPowtorzen {

	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		Set<String> miasta = new TreeSet<>();
		for(Employee emp : emps) {
			miasta.add(emp.getCity());
		}
		
		System.out.println("Liczba miast: " + miasta.size());
		for(String miasto : miasta) {
			System.out.println(miasto);
		}
	}

}
